# ChangeLog for www-servers/cherokee
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/cherokee/ChangeLog,v 1.35 2006/12/27 14:53:17 flameeyes Exp $

  27 Dec 2006; Diego Pettenò <flameeyes@gentoo.org> metadata.xml:
  Fix the metadata giving this back to BaSS, sorry for the misunderstanding.

  27 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/cherokee-0.5.6-epoll-crosscompile.patch,
  +files/cherokee-0.5.6-gnutls-pkgconfig.patch,
  +files/cherokee-0.5.6-replace-with-sed.patch,
  +files/cherokee-0.5.6-sendfile-crosscompile.patch, cherokee-0.5.6.ebuild:
  Add patches to allow crosscompiling cherokee (submitted upstream as tickets
  #121, #123 and #124); enable epoll on Linux kernel; use -j1 in install;
  discover gnutls via pkg-config (upstream ticket #122) and make gnutls
  useflag subordinate to ssl.

  27 Dec 2006; Diego Pettenò <flameeyes@gentoo.org> cherokee-0.5.6.ebuild:
  Add threads useflag to disable pthread support and also remove images
  directory rather than just the index file.

  27 Dec 2006; Diego Pettenò <flameeyes@gentoo.org> cherokee-0.5.6.ebuild:
  Run elibtoolize to apply Gentoo patches as needed; install the default
  index.html page only if coverpage useflag is enabled (not by default) to
  avoid the nasty $ROOT lookup.

*cherokee-0.5.6 (27 Dec 2006)

  27 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  -files/cherokee-0.4.5-Makefile.am.patch,
  -files/cherokee-0.4.5-cherokee.conf, -files/cherokee-0.4.5-init.d,
  -files/cherokee-0.4.17-cherokee.conf, -files/cherokee-0.4.17-init.d,
  -files/cherokee-0.4.21-no-handler_admin.diff,
  -files/cherokee-0.4.25-fix-static.diff, +files/cherokee-initd-0.5.6,
  -cherokee-0.5.2.ebuild, -cherokee-0.5.4.ebuild, -cherokee-0.5.5.ebuild,
  +cherokee-0.5.6.ebuild:
  Big new-maintainer cleanup. Bump to latest 0.5.6, remove old versions,
  remove dead files in $FILESDIR, add new init.d file that leave to cherokee
  to get into background.

  27 Dec 2006; Diego Pettenò <flameeyes@gentoo.org> metadata.xml:
  Metadata update, I'll take over maintainership (leaving www-servers as herd).

  14 Dec 2006; Elfyn McBratney <beu@gentoo.org> cherokee-0.5.2.ebuild,
  cherokee-0.5.4.ebuild, cherokee-0.5.5.ebuild:
  Update HOMEPAGE/SRC_URI; fixes bug 157966.

  02 Oct 2006; Daniel Gryniewicz <dang@gentoo.org> cherokee-0.5.5.ebuild:
  Marked ~amd64 for bug #149342

*cherokee-0.5.5 (23 Sep 2006)

  23 Sep 2006; J. Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.5.5.ebuild:
  new version

*cherokee-0.5.4 (18 Jul 2006)

  31 Aug 2006; Matthias Schwarzott <zzam@gentoo.org> ChangeLog:
  Removed the wrong byte out of 16 May 2005 changelog entry, makeing it no
  longer irritate the pager less, Bug #144860.

  18 Jul 2006; J. Alberto Suárez López <bass@gentoo.org>
  -cherokee-0.4.30.ebuild, -cherokee-0.5.0.ebuild, -cherokee-0.5.1.ebuild,
  +cherokee-0.5.4.ebuild:
  version bump

*cherokee-0.5.2 (17 Apr 2006)

  17 Apr 2006; J. Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.5.2.ebuild:
  New version. Important bugfix.

  10 Apr 2006; J. Alberto Suárez López <bass@gentoo.org>
  -cherokee-0.4.25.ebuild, -cherokee-0.4.29.ebuild, +cherokee-0.5.1.ebuild:
  New version

*cherokee-0.5.1 (10 Apr 2006)

  10 Apr 2006; J. Alberto Suárez López <bass@gentoo.org>
  -cherokee-0.4.25.ebuild, -cherokee-0.4.29.ebuild, +cherokee-0.5.1.ebuild:
  New version

*cherokee-0.5.0 (03 Apr 2006)

  03 Apr 2006; J. Alberto Suárez López <bass@gentoo.oro>
  +cherokee-0.5.0.ebuild:
  Version bump. Added USE scgi and fcgi.

*cherokee-0.4.30 (19 Jan 2006)

  19 Jan 2006; josé Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.4.30.ebuild:
  New version.

*cherokee-0.4.29 (13 Nov 2005)

  19 Jan 2006; josé Alberto Suárez López <bass@gentoo.org>
  -cherokee-0.4.5.ebuild, -cherokee-0.4.17.ebuild,
  -cherokee-0.4.17.1.ebuild, -cherokee-0.4.19.ebuild,
  -cherokee-0.4.21.ebuild, -cherokee-0.4.21-r1.ebuild,
  -cherokee-0.4.22.ebuild, -cherokee-0.4.23.ebuild, -cherokee-0.4.24.ebuild,
  -cherokee-0.4.24-r1.ebuild, cherokee-0.4.29.ebuild:
  Remove old ebuilds.
  Marked 0.4.29 as stable in x86.

  27 Dec 2005; josé Alberto Suárez López <bass@gentoo.org>
  +files/cherokee-0.4.25-fix-static.diff, cherokee-0.4.23.ebuild,
  cherokee-0.4.24.ebuild, cherokee-0.4.24-r1.ebuild, cherokee-0.4.25.ebuild,
  cherokee-0.4.29.ebuild:
  Improve ebuild to solve a few bugs (thanks ka0ttic).
  Removed "PIC" abuse in some ebuilds.
  Cleaned some old ebuilds.

  13 Nov 2005; josé Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.4.29.ebuild:
  new version

*cherokee-0.4.25 (04 Aug 2005)

  28 Aug 2005; josé Alberto Suárez López <bass@gentoo.org>
  cherokee-0.4.25.ebuild:
  fixed typo

  05 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> cherokee-0.4.25.ebuild:
  Remove call to epatch as the patch is no longer necessary; also removed
  commented out line that contained a line continuation character, as it
  doesnt work for obvious reasons... bug 101407.

  04 Aug 2005; José Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.4.25.ebuild:
  Bump version.
  Fixed PIC bug and index.html overwrite

*cherokee-0.4.24-r1 (19 Jul 2005)

  19 Jul 2005; josé Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.4.24-r1.ebuild:
  Now use=static is really static.

*cherokee-0.4.24 (15 Jul 2005)

  15 Jul 2005; josé Alberto Suárez López <bass@gentoo.org>
  +cherokee-0.4.24.ebuild:
  bump version

*cherokee-0.4.23 (25 May 2005)
  
  25 May 2005; <dang@gentoo.org> cherokee-0.4.23.ebuild:
  keyword ~amd64

 16 May 2005; J.Alberto S.L. <bass@gentoo.org> +cherokee-0.4.23.ebuild:
 Bump Version. Must fix pcc problems.

*cherokee-0.4.22 (16 May 2005)
 16 May 2005; J.Alberto S.L. <bass@gentoo.org> +cherokee-0.4.22.ebuild:
 Bump Version.

*cherokee-0.4.21-r1 (16 May 2005)
 16 May 2005; J.Alberto S.L. <bass@gentoo.org> +cherokee-0.4.21-r1.ebuild:
 Patch to no build handle-admin (thanks to ka0ttic) and a few USEs added
 (ssl, gnutls, pic, static & ipv6).

*cherokee-0.4.21 (11 May 2005)

  11 May 2005; Aaron Walker <ka0ttic@gentoo.org> +cherokee-0.4.21.ebuild:
  Version bump.

  17 Apr 2005; Jason Wever <weeve@gentoo.org> cherokee-0.4.19.ebuild:
  Added ~sparc keyword.

*cherokee-0.4.19 (17 Apr 2005)

  17 Apr 2005; Aaron Walker <ka0ttic@gentoo.org>
  -files/cherokee-0.4.1-gcc3.patch, -cherokee-0.4.0.ebuild,
  -cherokee-0.4.1.ebuild, -cherokee-0.4.4.ebuild, -cherokee-0.4.10.ebuild,
  -cherokee-0.4.14.ebuild, -cherokee-0.4.15.ebuild, -cherokee-0.4.16.ebuild,
  cherokee-0.4.17.1.ebuild, +cherokee-0.4.19.ebuild:
  Version bump for bug 87447; fixed 0.4.17.1 and 0.4.19 to build with
  >=net-libs/gnutls-1.2.0 for bug 86038. Also tidy'd the sleu of old ebuilds.

  01 Nov 2004; Michael Hanselmann <hansmi@gentoo.org>
  cherokee-0.4.17.1.ebuild:
  Stable on ppc.

*cherokee-0.4.17.1 (30 Oct 2004)

  30 Oct 2004; Stuart Herbert <stuart@gentoo.org>
  +files/cherokee-0.4.17-cherokee.conf, +cherokee-0.4.17.1.ebuild:
  Version bump; addresses security bug #67667; thanks to Florian Schihabel
  <florian.schihabel@gmx.net> for the report

  06 Oct 2004; Olivier Crete <tester@gentoo.org> cherokee-0.4.17.ebuild:
  Marked stable on x86 wrt security bug #66543

  05 Sep 2004; Sven Wegener <swegener@gentoo.org> cherokee-0.4.0.ebuild,
  cherokee-0.4.1.ebuild, cherokee-0.4.10.ebuild, cherokee-0.4.14.ebuild,
  cherokee-0.4.15.ebuild, cherokee-0.4.16.ebuild, cherokee-0.4.17.ebuild,
  cherokee-0.4.4.ebuild, cherokee-0.4.5.ebuild:
  Fixed ChangeLog header. Added missing IUSE, don't assign default to S and
  updated dependencies.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  cherokee-0.4.14.ebuild, cherokee-0.4.15.ebuild, cherokee-0.4.16.ebuild,
  cherokee-0.4.17.ebuild:
  Masked cherokee-0.4.17.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  cherokee-0.4.14.ebuild, cherokee-0.4.15.ebuild, cherokee-0.4.16.ebuild:
  Masked cherokee-0.4.16.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  cherokee-0.4.14.ebuild, cherokee-0.4.15.ebuild:
  Masked cherokee-0.4.15.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  cherokee-0.4.14.ebuild:
  Masked cherokee-0.4.14.ebuild stable for ppc

*cherokee-0.4.15 (08 Aug 2004)

  08 Aug 2004; Stuart Herbert <stuart@gentoo.org> +metadata.xml,
  +files/cherokee-0.4.1-gcc3.patch, +files/cherokee-0.4.17-init.d,
  +files/cherokee-0.4.5-Makefile.am.patch,
  +files/cherokee-0.4.5-cherokee.conf, +files/cherokee-0.4.5-init.d,
  +cherokee-0.4.0.ebuild, +cherokee-0.4.1.ebuild, +cherokee-0.4.10.ebuild,
  +cherokee-0.4.14.ebuild, +cherokee-0.4.15.ebuild, +cherokee-0.4.16.ebuild,
  +cherokee-0.4.17.ebuild, +cherokee-0.4.4.ebuild, +cherokee-0.4.5.ebuild:
  Moved from net-www/cherokee to www-servers/cherokee.

*cherokee-0.4.17 (20 Jul 2004)

  20 Jul 2004; Martin Holzer <mholzer@gentoo.org> cherokee-0.4.17.ebuild,
  files/cherokee-0.4.17-init.d:
  Version bumped. Closes 56561

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  cherokee-0.4.10.ebuild, cherokee-0.4.14.ebuild, cherokee-0.4.15.ebuild,
  cherokee-0.4.16.ebuild, cherokee-0.4.5.ebuild:
  virtual/glibc -> virtual/libc

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> cherokee-0.4.1.ebuild:
  Add inherit eutils

  26 Apr 2004; Aron Griffis <agriffis@gentoo.org> cherokee-0.4.0.ebuild:
  Add die following econf for bug 48950

  17 Apr 2004; Jason Wever <weeve@gentoo.org> cherokee-0.4.5.ebuild:
  Added ~sparc keyword.

*cherokee-0.4.16 (15 Apr 2004)

  15 Apr 2004; <bass@gentoo.org> cherokee-0.4.16.ebuild:
  New version.
  Removed the gnome-vfs support, the main cherokee-dev say this:
   (00:33:56) Alo: quita lo de GNOME-VFS.. que eso sólo es un peligro
                   y no vale para nada en el mundo real :)
  (gnome-vfs is dengerous and don't usefull in the real world)
   (00:45:14) Alo: es un buen ejemplo de como hacer un handler
                   asincrono en Cherokee... :)

*cherokee-0.4.15 (01 Apr 2004)

  01 Apr 2004; <bass@gentoo.org> cherokee-0.4.15.ebuild:
  New Version.

*cherokee-0.4.14 (18 Mar 2004)

  18 Mar 2004; <bass@gentoo.org> cherokee-0.4.14.ebuild:
  Bumped version.

  19 Mar 2004; David Holm <dholm@gentoo.org> cherokee-0.4.14.ebuild:
  Added to ~ppc.

*cherokee-0.4.10 (26 Feb 2004)

  18 Mar 2004; <bass@gentoo.org> cherokee-0.4.10.ebuild:
  Marked as stable in x86

  26 Feb 2004; <bass@gentoo.org> cherokee-0.4.10.ebuild:
  Bumped version. Changed Url.

  06 Dec 2003; <spider@gentoo.org> cherokee-0.4.5.ebuild:
  Fixing the badly broken gnome deps

  05 Oct 2003; Stuart Herbert <stuart@gentoo.org> files/cherokee-0.4.5-init.d:
  Fixed announcement when stopping cherokee server

*cherokee-0.4.5 (05 Oct 2003)

  05 Oct 2003; Stuart Herbert <stuart@gentoo.org> cherokee-0.4.5.ebuild,
  metadata.xml, files/cherokee-0.4.5-Makefile.am.patch,
  files/cherokee-0.4.5-cherokee.conf, files/cherokee-0.4.5-init.d:
  Updated to cherokee-0.4.5
  Added /etc/init.d/cherokee init script
  Added Gentoo-ised default config file
  Closes bug #27722

*cherokee-0.4.4 (25 Jul 2003)

  25 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Version bump. Found by Eric Olinger <EvvL@RustedHalo.net> in #25158.

*chrokee-4.1 (18 Mar 2003)

 18 Mar 2003; J.Alberto Suárez L. <bass@gentoo.org> cherokee-4.1.ebuild:
 Bumped version

*cherokee-4.0.0 (11 Jan 2003)

  10 Jan 2002; J.Alberto Suárez L. <bass@gentoo.org> cherokee-4.0.0.ebuild:
  First relase. Beta5 version. 

*cherokee-0.4.0 (11 Jan 2003)
 
  13 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Added missing changelog entry.

*cherokee-0.4.1 (16 Mar 2003)

  10 Mar 2004; Martin Holzer <mholzer@gentoo.org> cherokee-0.4.1.ebuild,
  files/cherokee-0.4.1-gcc3.patch:
  adding gcc3 fix. closes 41744
 
  13 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Added missing changelog entry.

